import requests
import argparse


class FeishuBot:
    webhook_url = "https://open.feishu.cn/open-apis/bot/v2/hook/cbf0bc0f-994a-489b-9f77-de0c5be107cd"

    def send_message(self, message_text):
        headers = {'Content-Type': 'application/json'}
        data = {
            "msg_type": "text",
            "content": {"text": message_text}
        }
        response = requests.post(self.webhook_url, json=data, headers=headers)
        response.raise_for_status()  # 如果响应状态码不是200，则抛出HTTPError异常
        return response.json()  # 返回JSON响应（如果需要的话）


def main():
    parser = argparse.ArgumentParser(description='Send a message via Feishu Bot')
    parser.add_argument('message', type=str, help='The message to send to Feishu Bot')
    args = parser.parse_args()

    bot = FeishuBot()
    response = bot.send_message(args.message)
    print(response)  # 打印响应内容，以便查看发送结果


if __name__ == '__main__':
    main()
